Package com.pixelmed.apps

# Class DownloadOrTransmit.OurMultipleInstanceTransferStatusHandler

java.lang.Object
com.pixelmed.network.MultipleInstanceTransferStatusHandler
com.pixelmed.network.MultipleInstanceTransferStatusHandlerWithFileName
com.pixelmed.apps.DownloadOrTransmit.OurMultipleInstanceTransferStatusHandler

Enclosing class:
  DownloadOrTransmit

protected class DownloadOrTransmit.OurMultipleInstanceTransferStatusHandler extends MultipleInstanceTransferStatusHandlerWithFileName

## Method Summary

Modifier and Type
Method
Description
`void`
`updateStatus(int nRemaining, int nCompleted, int nFailed, int nWarning, String sopInstanceUID, String fileName, boolean success)`

### Methods inherited from class com.pixelmed.network.MultipleInstanceTransferStatusHandlerWithFileName

`updateStatus`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### updateStatus

public void updateStatus(int nRemaining, int nCompleted, int nFailed, int nWarning, String sopInstanceUID, String fileName, boolean success)

Specified by:
  `updateStatus` in class `MultipleInstanceTransferStatusHandlerWithFileName`